## pg-rrule 0.2.0%2Bgit20211101.d7d10f2

=== debian/changelog ===
pg-rrule (0.2.0+git20211101.d7d10f2-4) unstable; urgency=medium

  * Team upload for PostgreSQL 18. (Closes: #1117286)
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 16:45:27 +0200

pg-rrule (0.2.0+git20211101.d7d10f2-3) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Sat, 14 Sep 2024 10:18:52 +0200

pg-rrule (0.2.0+git20211101.d7d10f2-2) unstable; urgency=medium

  * Team upload.
  * Test CREATE EXTENSION instead of loading pg_rrule.sql manually.

 -- Christoph Berg <myon@debian.org>  Thu, 23 May 2024 09:22:04 +0000

pg-rrule (0.2.0+git20211101.d7d10f2-1) unstable; urgency=medium

  * Initial upload.

 -- Dominik George <natureshadow@debian.org>  Tue, 30 Apr 2024 13:29:21 +0200

## pg-rrule 0.2.0+git20211101.d7d10f2

=== Makefile ===
EXTENSION    = pg_rrule
EXTVERSION   = $(shell grep default_version $(EXTENSION).control | sed -e "s/default_version[[:space:]]*=[[:space:]]*'\([^']*\)'/\1/")

DATA         = $(filter-out $(wildcard sql/*--*.sql),$(wildcard sql/*.sql))
DOCS         = $(wildcard doc/*.md)
TESTS        = $(wildcard test/sql/*.sql)
REGRESS      = $(patsubst test/sql/%.sql,%,$(TESTS))
REGRESS_OPTS = --inputdir=test --load-language=plpgsql
#
# Uncoment the MODULES line if you are adding C files
# to your extention.
#
MODULE_big   = pg_rrule
OBJS         = $(patsubst %.c,%.o,$(wildcard src/*.c))
PG_CONFIG    = pg_config
PG91         = $(shell $(PG_CONFIG) --version | grep -qE " 8\.| 9\.0" && echo no || echo yes)

ifeq ($(PG91),yes)
all: sql/$(EXTENSION)--$(EXTVERSION).sql

sql/$(EXTENSION)--$(EXTVERSION).sql: sql/$(EXTENSION).sql
	cp $< $@

DATA = $(wildcard sql/*--*.sql) sql/$(EXTENSION)--$(EXTVERSION).sql
EXTRA_CLEAN = sql/$(EXTENSION)--$(EXTVERSION).sql
endif

PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

src/pg_rrule.o: CFLAGS += $(shell pkg-config --cflags libical)
pg_rrule.so: SHLIB_LINK += $(shell pkg-config --libs libical)

sql/pg_rrule.sql: sql/pg_rrule.sql.in
	sed 's,MODULE_PATHNAME,$$libdir/$(@:sql/%.sql=%),g' $< >$@

=== debian/changelog ===
pg-rrule (0.2.0+git20211101.d7d10f2-3.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sat, 14 Sep 2024 10:18:52 +0200

=== debian/control ===
Source: pg-rrule
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Dominik George <natureshadow@debian.org>,
Build-Depends:
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 debhelper-compat (= 13),
 libical-dev,
 pkgconf,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Standards-Version: 4.7.0
Homepage: https://github.com/petropavel13/pg_rrule
XS-Testsuite: autopkgtest
Vcs-Browser: https://salsa.debian.org/postgresql/pg-rrule
Vcs-Git: https://salsa.debian.org/postgresql/pg-rrule.git
Rules-Requires-Root: no

Package: postgresql-10-pg-rrule
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description:  RRULE data type for PostgreSQL
 pg-rrule can expand recurrence rules (RRULE) as defined in the
 iCalendar specification (RFC 5545). It allows expanding RRULEs
 into concrete occurences as timestamps, which can then be queried
 against.

Package: postgresql-11-pg-rrule
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description:  RRULE data type for PostgreSQL
 pg-rrule can expand recurrence rules (RRULE) as defined in the
 iCalendar specification (RFC 5545). It allows expanding RRULEs
 into concrete occurences as timestamps, which can then be queried
 against.

Package: postgresql-12-pg-rrule
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description:  RRULE data type for PostgreSQL
 pg-rrule can expand recurrence rules (RRULE) as defined in the
 iCalendar specification (RFC 5545). It allows expanding RRULEs
 into concrete occurences as timestamps, which can then be queried
 against.

Package: postgresql-13-pg-rrule
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description:  RRULE data type for PostgreSQL
 pg-rrule can expand recurrence rules (RRULE) as defined in the
 iCalendar specification (RFC 5545). It allows expanding RRULEs
 into concrete occurences as timestamps, which can then be queried
 against.

Package: postgresql-14-pg-rrule
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description:  RRULE data type for PostgreSQL
 pg-rrule can expand recurrence rules (RRULE) as defined in the
 iCalendar specification (RFC 5545). It allows expanding RRULEs
 into concrete occurences as timestamps, which can then be queried
 against.

Package: postgresql-15-pg-rrule
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description:  RRULE data type for PostgreSQL
 pg-rrule can expand recurrence rules (RRULE) as defined in the
 iCalendar specification (RFC 5545). It allows expanding RRULEs
 into concrete occurences as timestamps, which can then be queried
 against.

Package: postgresql-16-pg-rrule
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description:  RRULE data type for PostgreSQL
 pg-rrule can expand recurrence rules (RRULE) as defined in the
 iCalendar specification (RFC 5545). It allows expanding RRULEs
 into concrete occurences as timestamps, which can then be queried
 against.

Package: postgresql-17-pg-rrule
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description:  RRULE data type for PostgreSQL
 pg-rrule can expand recurrence rules (RRULE) as defined in the
 iCalendar specification (RFC 5545). It allows expanding RRULEs
 into concrete occurences as timestamps, which can then be queried
 against.

## pg-rrule 0.3.0

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 DOCS         = $(wildcard doc/*.md)
 TESTS        = $(wildcard test/sql/*.sql)
 REGRESS      = $(patsubst test/sql/%.sql,%,$(TESTS))
-REGRESS_OPTS = --inputdir=test --load-language=plpgsql
+REGRESS_OPTS = --inputdir=test
 #
 # Uncoment the MODULES line if you are adding C files
 # to your extention.
@@ -28,8 +28,11 @@
 PGXS := $(shell $(PG_CONFIG) --pgxs)
 include $(PGXS)
 
-src/pg_rrule.o: CFLAGS += $(shell pkg-config --cflags libical)
+src/pg_rrule.o: CFLAGS += $(shell pkg-config --cflags libical) # for debug: -g3 -ggdb3
 pg_rrule.so: SHLIB_LINK += $(shell pkg-config --libs libical)
+
+# Avoid copying the same file twice
+DATA := $(sort $(DATA))
 
 sql/pg_rrule.sql: sql/pg_rrule.sql.in
 	sed 's,MODULE_PATHNAME,$$libdir/$(@:sql/%.sql=%),g' $< >$@

=== debian/changelog ===
pg-rrule (0.3.0-1.pgdg13+1) trixie-pgdg; urgency=medium

  * Rebuild for trixie-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sat, 20 Dec 2025 16:14:16 +0100

pg-rrule (0.3.0-1) unstable; urgency=medium

  * New upstream release.
    + Moved to new upstream forked by Natureshadow.
    + Drop patch removed upstream.
    + Refresh patches.

 -- Dominik George <natureshadow@debian.org>  Sat, 20 Dec 2025 16:14:16 +0100

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,17 @@
 Uploaders:
  Dominik George <natureshadow@debian.org>,
 Build-Depends:
+ debhelper-compat (= 13),
  architecture-is-64-bit <!pkg.postgresql.32-bit>,
- debhelper-compat (= 13),
  libical-dev,
  pkgconf,
  postgresql-all <!nocheck>,
  postgresql-server-dev-all,
-Standards-Version: 4.7.0
-Homepage: https://github.com/petropavel13/pg_rrule
+Standards-Version: 4.7.2
+Homepage: https://github.com/Natureshadow/pg_rrule
 XS-Testsuite: autopkgtest
 Vcs-Browser: https://salsa.debian.org/postgresql/pg-rrule
 Vcs-Git: https://salsa.debian.org/postgresql/pg-rrule.git
-Rules-Requires-Root: no
 
 Package: postgresql-10-pg-rrule
 Architecture: any
@@ -24,6 +23,8 @@
  ${misc:Depends},
  ${postgresql:Depends},
  ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
 Description:  RRULE data type for PostgreSQL
  pg-rrule can expand recurrence rules (RRULE) as defined in the
  iCalendar specification (RFC 5545). It allows expanding RRULEs
@@ -36,6 +37,8 @@
  ${misc:Depends},
  ${postgresql:Depends},
  ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
 Description:  RRULE data type for PostgreSQL
  pg-rrule can expand recurrence rules (RRULE) as defined in the
  iCalendar specification (RFC 5545). It allows expanding RRULEs
@@ -48,6 +51,8 @@
  ${misc:Depends},
  ${postgresql:Depends},
  ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
 Description:  RRULE data type for PostgreSQL
  pg-rrule can expand recurrence rules (RRULE) as defined in the
  iCalendar specification (RFC 5545). It allows expanding RRULEs
@@ -60,6 +65,8 @@
  ${misc:Depends},
  ${postgresql:Depends},
  ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
 Description:  RRULE data type for PostgreSQL
  pg-rrule can expand recurrence rules (RRULE) as defined in the
  iCalendar specification (RFC 5545). It allows expanding RRULEs
@@ -72,6 +79,8 @@
  ${misc:Depends},
  ${postgresql:Depends},
  ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
 Description:  RRULE data type for PostgreSQL
  pg-rrule can expand recurrence rules (RRULE) as defined in the
  iCalendar specification (RFC 5545). It allows expanding RRULEs
@@ -84,6 +93,8 @@
  ${misc:Depends},
  ${postgresql:Depends},
  ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
 Description:  RRULE data type for PostgreSQL
  pg-rrule can expand recurrence rules (RRULE) as defined in the
  iCalendar specification (RFC 5545). It allows expanding RRULEs
@@ -96,6 +107,8 @@
  ${misc:Depends},
  ${postgresql:Depends},
  ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
 Description:  RRULE data type for PostgreSQL
  pg-rrule can expand recurrence rules (RRULE) as defined in the
  iCalendar specification (RFC 5545). It allows expanding RRULEs
@@ -108,8 +121,24 @@
  ${misc:Depends},
  ${postgresql:Depends},
  ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
 Description:  RRULE data type for PostgreSQL
  pg-rrule can expand recurrence rules (RRULE) as defined in the
  iCalendar specification (RFC 5545). It allows expanding RRULEs
  into concrete occurences as timestamps, which can then be queried
  against.
+
+Package: postgresql-18-pg-rrule
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
+Description:  RRULE data type for PostgreSQL
+ pg-rrule can expand recurrence rules (RRULE) as defined in the
+ iCalendar specification (RFC 5545). It allows expanding RRULEs
+ into concrete occurences as timestamps, which can then be queried
+ against.
